OTBCLI_BINARYMORPHOLOGICALOPERATION(1)

NAME
otbcli_BinaryMorphologicalOperation - OTB BinaryMorphologicalOperation application

DESCRIPTION
This is the BinaryMorphologicalOperation application, version 5.2.0 Performs morphological operations on an input image channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/BinaryMorphologicalOperation.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Feature Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-structype
    <string> Structuring Element Type [ball/cross] (mandatory, default value is ball)

-structype.ball.xradius <int32>
    The Structuring Element X Radius (mandatory, default value is 5)

-structype.ball.yradius <int32>
    The Structuring Element Y Radius (mandatory, default value is 5)

-filter
    <string> Morphological Operation [dilate/erode/opening/closing] (mandatory, default value is dilate)

-filter.dilate.foreval
    <float> Foreground Value (mandatory, default value is 1)

-filter.dilate.backval
    <float> Background Value (mandatory, default value is 0)

-filter.erode.foreval
    <float> Foreground Value (mandatory, default value is 1)

-filter.erode.backval
    <float> Background Value (mandatory, default value is 0)

-filter.opening.foreval <float>
    Foreground Value (mandatory, default value is 1)

-filter.opening.backval <float>
    Background Value (mandatory, default value is 0)

-filter.closing.foreval <float>
    Foreground Value (mandatory, default value is 1)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_BinaryMorphologicalOperation -in qb_RoadExtract.tif -out opened.tif -channel 1 -structype.ball.xradius 5 -structype.ball.yradius 5 -filter erode

SEE ALSO
The full documentation for otbcli_BinaryMorphologicalOperation is maintained as a Texinfo manual. If the info and otbcli_BinaryMorphologicalOperation programs are properly installed at your site, the command

    info otbcli_BinaryMorphologicalOperation

should give you access to the complete manual.